Package com.treemap.tagcloud

# Class DefaultWord

java.lang.Object
com.treemap.tagcloud.DefaultWord

All Implemented Interfaces:
  `Word`, `Comparable<Word>`

public class DefaultWord extends Object implements Word

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultWord(TextShapeFactory textShapeFactory, String text, double size, MutableTreeMapNode treeMapNode, Orientation orientation, int nSubdivisions, com.macrofocus.igraphics.CPFont font)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Word anotherWord)`
  `TextShape`
  `getShapeForLayout()`
  `double`
  `getSize()`
  `String`
  `getText()`
  `MutableTreeMapNode`
  `getTreeMapNode()`
  `boolean`
  `intersects(Word otherWord)`
  `void`
  `setLocation(double xPos, double yPos)`
  `void`
  `setLocation(Point2d position)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultWord

    public DefaultWord(TextShapeFactory textShapeFactory, String text, double size, MutableTreeMapNode treeMapNode, Orientation orientation, int nSubdivisions, com.macrofocus.igraphics.CPFont font)

- ## Method Details

  - ### intersects

    public boolean intersects(Word otherWord)
    Specified by:
      `intersects` in interface `Word`

  - ### getSize

    public double getSize()

  - ### getText

    public String getText()

  - ### getTreeMapNode

    public MutableTreeMapNode getTreeMapNode()
    Specified by:
      `getTreeMapNode` in interface `Word`

  - ### compareTo

    public int compareTo(Word anotherWord)
    Specified by:
      `compareTo` in interface `Comparable<Word>`

  - ### setLocation

    public void setLocation(double xPos, double yPos)

  - ### getShapeForLayout

    public TextShape getShapeForLayout()
    Specified by:
      `getShapeForLayout` in interface `Word`

  - ### setLocation

    public void setLocation(Point2d position)
    Specified by:
      `setLocation` in interface `Word`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`